
require "splash"
require "instrucoes"
require "joga"
require "cliqueCerto"
require "cliqueErrado"
require "caixas"
require "theMouse"
require "theKeyboard"
require "voadores"
require "sprites"
require "partes"
require "jogando"

--começa o jogo em "Splash"
estadoJogo = "splash"

--crie fontes
font12 = love.graphics.newFont( "fontes/aleo_regular.otf", 12 )
font18 = love.graphics.newFont( "fontes/aleo_regular.otf", 18 )
font24 = love.graphics.newFont( "fontes/aleo_regular.otf", 24 )
font36 = love.graphics.newFont( "fontes/aleo_regular.otf", 36 )
font48 = love.graphics.newFont( "fontes/aleo_regular.otf", 48 )

--cursors
cursorPadrao = love.mouse.newCursor( "imagens/left_ptr.png", 3, 3 )
love.mouse.setCursor( cursorPadrao )
cursorClique = love.mouse.newCursor( "imagens/hand2.png", 3, 3 )

passo = 1
parteCerto = parte[1]
textoPasso0 = "     What are the first words?"
textoProximo = "...     What are the next words?"
textoCombinado = ""
textoImprimido = textoPasso0

function love.load()
  VOADORES_LOAD()
end

--"seed" número aleatório
function inicializaRandom()
  love.math.setRandomSeed( os.time() )
  love.math.random()  --Apparently, the first few passes aren't random,
  love.math.random()  --so these three lines, hopefully get us to the
  love.math.random()  --point where they ARE random numbers.
end
inicializaRandom()

--[[The code below is for debugging and should be removed.]]
--START DEBUGGING
function love.keypressed(k)
    if k == "s" and love.keyboard.isDown("lctrl") and (love.keyboard.isDown("lshift") or love.keyboard.isDown("rshift"))  then
      estadoJogo = "splash"
    elseif k == "i" and love.keyboard.isDown("lctrl") and (love.keyboard.isDown("lshift") or love.keyboard.isDown("rshift"))  then
      estadoJogo = "instrucoes"
    elseif k == "j" and love.keyboard.isDown("lctrl") and (love.keyboard.isDown("lshift") or love.keyboard.isDown("rshift"))  then
      estadoJogo = "joga"
    elseif k == "c" and love.keyboard.isDown("lctrl") and (love.keyboard.isDown("lshift") or love.keyboard.isDown("rshift"))  then
      estadoJogo = "cliqueCerto"          
    elseif k == "e" and love.keyboard.isDown("lctrl") and (love.keyboard.isDown("lshift") or love.keyboard.isDown("rshift"))  then
      estadoJogo = "cliqueErrado"
    end
end
--END DEBUGGING

function love.update(dt)
  if estadoJogo == "splash" then
   SPLASH_UPDATE(dt)
  end 

  if estadoJogo == "instrucoes" then
   INSTRUCOES_UPDATE(dt)
  end 

  if estadoJogo == "joga" then
   JOGA_UPDATE(dt)
  end 

  if estadoJogo == "cliqueCerto" then
    CLIQUECERTO_UPDATE(dt)
  end 

  if estadoJogo == "cliqueErrado" then
    CLIQUEERRADO_UPDATE(dt)
  end 
  
  THEMOUSE_UPDATE(dt)
end

function love.draw() 
  if estadoJogo == "splash" then
    SPLASH_DRAW()
  end 

  if estadoJogo == "instrucoes" then
    INSTRUCOES_DRAW()
  end 

  if estadoJogo == "joga" then
    JOGA_DRAW()
  end 

  if estadoJogo == "cliqueCerto" then
    CLIQUECERTO_DRAW()
  end 

  if estadoJogo == "cliqueErrado" then
    CLIQUEERRADO_DRAW()
  end 

end

function love.quit()
  love.event.quit()
end